Browse Source

[net-im/ejabberd] bump to 19.05

master
Robert Förster 3 years ago
parent
commit
b180e35532
  1. 2
      net-im/ejabberd/Manifest
  2. 42
      net-im/ejabberd/ejabberd-19.05.ebuild

2
net-im/ejabberd/Manifest

@ -1 +1 @@
DIST ejabberd-19.02.tar.gz 1872654 BLAKE2B d4ed86cb74502c73f479076fbbc42b43cb85b3e7e8b6e9d7be974f5daa99cde303d0a75141b332615b4296162c12b024892b416a60e493953b625c0992ca3b2f SHA512 7b4bc488654069d6a4428569b7d9c26344292fd6d86a0922a8047df0688872df1b4d1bab7dc68905baeca55a5c6ecd75450fe59cccc9fa6425525e33bd74a7e2
DIST ejabberd-19.05.tar.gz 1905199 BLAKE2B 08c281776f1e53d80ec9638d5184b58caa6e342d378c7d51bca4fd4557a526b843a882b4f0563fabe6922ddd0a9ab2617821339375c70ffd31312642c1dd5e70 SHA512 5fc57f63292aea0077e399d9ed2de88228121a38f0a37d71266cf6666c57b227f7fc9ca0c5f05b16a7d9bbd5d6ed684186b6fbc355acf452ad7e5e01e086ab08

42
net-im/ejabberd/ejabberd-19.02.ebuild → net-im/ejabberd/ejabberd-19.05.ebuild

@ -23,41 +23,41 @@ RESTRICT="test"
# TODO: luerl seems to be optional. review it
CDEPEND="
>=dev-erlang/cache_tab-1.0.18
>=dev-erlang/eimp-1.0.10
>=dev-erlang/fast_tls-1.1.0
>=dev-erlang/fast_xml-1.1.35
>=dev-erlang/fast_yaml-1.0.18
>=dev-erlang/cache_tab-1.0.19
>=dev-erlang/eimp-1.0.11
>=dev-erlang/fast_tls-1.1.1
>=dev-erlang/fast_xml-1.1.36
>=dev-erlang/fast_yaml-1.0.19
>=dev-erlang/jiffy-0.14.8
>=dev-erlang/jose-1.8.4
>=dev-erlang/lager-3.6.7
>=dev-erlang/lager-3.6.10
>=dev-erlang/luerl-0.3
>=dev-erlang/mqtree-1.0.2
>=dev-erlang/p1_oauth2-0.6.4
>=dev-erlang/p1_utils-1.0.14
>=dev-erlang/pkix-1.0.1
>=dev-erlang/stringprep-1.0.15
>=dev-erlang/xmpp-1.3.2
>=dev-lang/erlang-17.1[hipe?,odbc?,ssl]
>=dev-erlang/mqtree-1.0.3
>=dev-erlang/p1_oauth2-0.6.5
>=dev-erlang/p1_utils-1.0.15
>=dev-erlang/pkix-1.0.2
>=dev-erlang/stringprep-1.0.16
>=dev-erlang/xmpp-1.3.4
>=dev-lang/erlang-19.1[hipe?,odbc?,ssl]
>=net-im/jabber-base-0.01
ldap? ( =net-nds/openldap-2* )
mysql? ( >=dev-erlang/p1_mysql-1.0.9 )
mysql? ( >=dev-erlang/p1_mysql-1.0.11 )
odbc? ( dev-db/unixODBC )
pam? ( >=dev-erlang/epam-1.0.5 )
postgres? ( >=dev-erlang/p1_pgsql-1.1.7 )
pam? ( >=dev-erlang/epam-1.0.6 )
postgres? ( >=dev-erlang/p1_pgsql-1.1.8 )
redis? ( >=dev-erlang/eredis-1.0.8 )
sip? ( >=dev-erlang/esip-1.0.28 )
sip? ( >=dev-erlang/esip-1.0.29 )
sqlite? ( >=dev-erlang/sqlite3-1.1.6 )
stun? ( >=dev-erlang/stun-1.0.27 )
zlib? ( >=dev-erlang/ezlib-1.0.5 )"
stun? ( >=dev-erlang/stun-1.0.28 )
zlib? ( >=dev-erlang/ezlib-1.0.6 )"
DEPEND="${CDEPEND}
>=sys-apps/gawk-4.1"
RDEPEND="${CDEPEND}
captcha? ( media-gfx/imagemagick[truetype,png] )"
DOCS=( CHANGELOG.md README.md )
PATCHES=( "${FILESDIR}/${P}-ejabberdctl.patch"
"${FILESDIR}/${P}-0002-Dont-overwrite-service-file.patch" )
PATCHES=( "${FILESDIR}/${PN}-19.02-ejabberdctl.patch"
"${FILESDIR}/${PN}-19.02-0002-Dont-overwrite-service-file.patch" )
EJABBERD_CERT="${EPREFIX}/etc/ssl/ejabberd/server.pem"
# Paths in net-im/jabber-base
Loading…
Cancel
Save